Bug 432354 - missing and different header files in kernel-headers package
missing and different header files in kernel-headers package
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
high Severity low
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-11 10:19 EST by Thomas Woerner
Modified: 2008-04-14 15:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-14 15:05:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2008-02-11 10:19:30 EST
Description of problem:
iptables-1.4.0 needs linux/compiler.h, which is not part of the kernel-headers
package. The netfilter headers in the /lib/modules/../build/include/linux are
different to the header files in /usr/include/linux (e.g. missing #include
<linux/in6.h> in ip6_tables.h).

Version-Release number of selected component (if applicable):

How reproducable:
Try to compile iptables-1.4.0-1 from dist CVS.

Additional info:
iptables cannot be built against kernel-headers without the proper header files.
Comment 1 Brian K Davis 2008-02-14 19:44:15 EST
i also noticed a similar problem while trying to compile a unrelated package.
on my i686 (non-x86_64) was installed X86_64 kernel headers.
Comment 2 Dave Jones 2008-02-21 17:15:10 EST
what is it using from compiler.h ? Ie, where does it fail if you just remove the
#include ?

From a quick look, there's nothing in that header that userspace should be using.
Comment 3 David Woodhouse 2008-02-22 02:35:32 EST
This may well be related to what's discussed in the thread at
Comment 4 David Woodhouse 2008-02-22 02:55:07 EST
Or it may just be that iptables contains its own broken copy of the headers
taken from the kernel without using 'make headers_install'.
Comment 5 Brian K Davis 2008-02-22 14:39:11 EST
no, the default kernel package contains /usr/include/asm files from x86_64 and
cause failure for any thing (in my case, a popular media player) to fail do to
incorrect versions of structures which it uses. it is definitely the
kernel-headers package at fault. 
Comment 6 David Woodhouse 2008-04-14 15:05:41 EDT
I believe iptables got fixed. Brian, if there is a bug in another userspace
package, please file a bug against that package and explain the problem in
detail. Cc me if it relates to abuse of kernel headers, and I'll try to help.

Note You need to log in before you can comment on or make changes to this bug.